Description

There should be a configurable timeout for irc server connections. Currently, to name an example, quasselcore waits 3 minutes until
it figures out that an IPv6 address is not reachable.

Version is 0.5_rc1.

History

#1 - 08/26/2009 10:25 PM - DevUrandom

Afaik sockets can have a configurable timeout for connect, and the default is insane. | think TCP recommends that insanity, but usually a connection
is established in far less than 5 minutes (default TCP timeout, afaik). So it should be possible to reduce the timeout, if one knows that the node
operates in a shaky environment.

#2 - 08/27/2009 10:27 AM - DevUrandom

Also note that | am talking about the initial connection to an irc server ("connect()"), not anything like ping timeouts or such, which appear after the
connection was established.

#3 - 03/18/2010 11:23 AM - al

- Subject changed from irc server connections should have a configurable timeout to irc server connection initiation (connect()) should have a
configurable timeout
